{"swagger":"2.0","info":{"description":"This page lists all the apis for 3Pathi application","version":"1.0-SNAPSHOT","title":"3Pathi-application-api-spec-doc"},"host":"www.teenpatti-dev.com:8080","basePath":"/3pathi","schemes":["http"],"tags":[{"name":"3Pathi-login-or-signup","description":"service registers new user or logsin  existing user"},{"name":"3pathi-validateotp","description":"service validates the otp entered"}],"paths":{"/login-or-signup":{"post":{"tags":["3Pathi-login-or-signup"],"summary":"login","operationId":"loginUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/LoginRequest"}}],"responses":{"200":{"description":"Ok","schema":{"$ref":"#/definitions/LoginResponse"}},"400":{"description":"bad input","schema":{"$ref":"#/definitions/LoginResponse"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/LoginResponse"}}}}},"/validate-otp":{"post":{"tags":["3pathi-validateotp"],"summary":"validateOTP","operationId":"validateOTPUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/ValidateOTPRequest"}}],"responses":{"200":{"description":"Ok","schema":{"$ref":"#/definitions/ValidateOTPResponse"}},"400":{"description":"bad input","schema":{"$ref":"#/definitions/ValidateOTPResponse"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/ValidateOTPResponse"}}}}}},"definitions":{"LoginRequest":{"type":"object","required":["mobile_number"],"properties":{"mobile_number":{"type":"string","example":9901992200,"description":"mobile_no of an user"}},"title":"LoginRequest"},"LoginResponse":{"type":"object","properties":{"error_message":{"type":"string"},"status_code":{"type":"string"},"success":{"type":"boolean"},"user_id":{"type":"integer","format":"int64"},"user_status":{"type":"string"}},"title":"LoginResponse"},"ValidateOTPRequest":{"type":"object","required":["mobile_number","otp","user_id"],"properties":{"mobile_number":{"type":"string","example":9901992200,"description":"mobile_number of an user"},"otp":{"type":"string","example":4587,"description":"opt received on registered/entered mobile_number"},"user_id":{"type":"integer","format":"int64","example":912,"description":"unique identification of an registered user"}},"title":"ValidateOTPRequest"},"ValidateOTPResponse":{"type":"object","properties":{"access_token":{"type":"string"},"error_message":{"type":"string"},"refresh_token":{"type":"string"},"status_code":{"type":"string"},"success":{"type":"boolean"},"user_id":{"type":"integer","format":"int64"},"user_status":{"type":"string"}},"title":"ValidateOTPResponse"}}}